% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
classdef UndoManager < handle
    %UNDOMANAGER Controls Undo/Redo Functionality
    %   UndoManager, controls a queue of actions, representing things that
    %   the user has done. access programs undo/redo allow for moving
    %   within the queue.
    
    properties
        queue = [];
        max_depth = 50;
        current_depth = [];
        undo_level = [];
    end
    
    methods
        
        
        function object = UndoManager()
            object.current_depth = 0;
            object.undo_level = 0;
        end
    end
    
end

